Bug 1786754 - Functionality to enable log rotation for user serviceable snapshot's logs.
Summary: Functionality to enable log rotation for user serviceable snapshot's logs.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: snapshot
Version: 6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact:
URL:
Whiteboard:
Depends On: 1668303 1786722 1803810
Blocks: 1786753 1806846
TreeView+ depends on / blocked
 
Reported: 2019-12-27 17:31 UTC by Sunny Kumar
Modified: 2020-03-02 07:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1786722
Environment:
Last Closed: 2020-02-11 08:22:58 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23932 0 None Merged extras: enable log rotation for USS logs 2020-02-11 08:22:57 UTC

Description Sunny Kumar 2019-12-27 17:31:44 UTC
+++ This bug was initially created as a clone of Bug #1786722 +++

+++ This bug was initially created as a clone of Bug #1668303 +++

Description of problem:

Functionality to enable log rotation for user serviceable snapshot's logs.

Currently gluster does not contain log rotation for user serviceable snapshot. 
In file /etc/logrotate.d/glusterfs there is no entry for the logs generated by user serviceable snapshots in '/var/log/glusterfs/snaps/'

Version-Release number of selected component (if applicable): 

How reproducible:
Always

Additional info:

--- Additional comment from Worker Ant on 2019-12-27 14:14:07 UTC ---

REVIEW: https://review.gluster.org/23930 (extras: enable log rotation for USS logs) posted (#1) for review on master by Sunny Kumar

--- Additional comment from Worker Ant on 2019-12-27 17:01:17 UTC ---

REVIEW: https://review.gluster.org/23930 (extras: enable log rotation for USS logs) merged (#2) on master by Amar Tumballi

Comment 1 Worker Ant 2019-12-27 17:34:13 UTC
REVIEW: https://review.gluster.org/23932 (extras: enable log rotation for USS logs) posted (#1) for review on release-6 by Sunny Kumar

Comment 2 Worker Ant 2020-02-11 08:22:58 UTC
REVIEW: https://review.gluster.org/23932 (extras: enable log rotation for USS logs) merged (#2) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.